List Segments for a Website
curl --request GET \
--url https://api.cm.conductor.com/v2/entities/segments \
--header 'Authorization: <api-key>'import requests
url = "https://api.cm.conductor.com/v2/entities/segments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.cm.conductor.com/v2/entities/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"color": "bf86d5",
"label": "Important pages",
"shortcode": null
},
{
"id": "2",
"color": "72c035",
"label": "Indexable",
"shortcode": null
}
]
}{
"code": "auth_missing_token",
"message": "Authentication token must be passed in Authorization HTTP header.",
"errors": []
}{
"code": "terms_of_use_not_accepted",
"message": "Reporting API Terms of Use have not been accepted yet. Please accept Terms of Use in Account Settings.",
"errors": []
}{
"error": "Requested website ID was not found"
}{
"code": "auth_malformed",
"message": "Authorization HTTP header must conform to format described in docs.",
"errors": []
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Try again in a minute.",
"errors": []
}Entities
List segments for a website
List a website’s segments and get the segment IDs and labels used in the scope parameter of statistics and issues requests.
GET
/
v2
/
entities
/
segments
List Segments for a Website
Authorizations
Send your Reporting API token as Authorization: token {reporting_api_token} — the literal string token, a space, then the token itself. Find it in Conductor Monitoring under Account > Account tab > Integration Tokens.
Query Parameters
Required.
Response
Successful response.
Show child attributes
Show child attributes
